
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>编程之美5：求数组中最长递增子序列 / 憋错料</title>

    <meta name="description" content="编程之美5：求数组中最长递增子序列 最近楼楼被男朋友带着玩dota,有点上瘾,终于在昨天晚上作出了一个重大的决定,shift+delete删掉warIII文件夹,从此退出dota的明争暗斗.不过最近看男票已经将战场从11转到了topcoder,嗯,这是个好现象,希望楼楼也能跟着玩儿起来. 理想是美好的,唉,可是楼主还在编程之美的初级阶段啊.话不多说了,希望自己加油加油再加油!!(^o^)/~ 今天要看的一道题目是求数组中最长递增子序列. 题目简介: 写一个时间复杂度尽可能低的程序,求一个一维数组(N)个元素中的最长递增子序列的长度">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">编程之美5：求数组中最长递增子序列</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>最近楼楼被男朋友带着玩dota，有点上瘾，终于在昨天晚上作出了一个重大的决定，shift+delete删掉warIII文件夹，从此退出dota的明争暗斗。不过最近看男票已经将战场从11转到了topcoder，嗯，这是个好现象，希望楼楼也能跟着玩儿起来。</p>
<p>理想是美好的，唉，可是楼主还在编程之美的初级阶段啊。话不多说了，希望自己加油加油再加油！！(^o^)/~</p>
<p>今天要看的一道题目是求数组中最长递增子序列。</p>
<h1>题目简介：</h1>
<p>写一个时间复杂度尽可能低的程序，求一个一维数组（N）个元素中的最长递增子序列的长度。例如:在序列1， -1， 2， -3， 4， -5， 6， -7的最长递增子序列的长度为4，这个子序列为1， 2， 4， 6.</p>
<p>注意：题目只要求求长度，不一定要求出这个递增序列。</p>
<h1>解法分析：</h1>
<p>在这里，要记住一个特别重要的点（对于像楼主这种渣渣），那就是满足<strong>无后效性</strong>可以使用动态递归来解决。什么叫<strong>无后效性</strong>，比如1， -1， 2， -3， 4， -5， 6， -7这个序列，当我们找到-1,2，当我们遍历到元素4的时候，只需要比较4和2的关系，如果4比2大，那就可以加进去。而2之前的元素对于我们做决断没有任何影响，这就叫做“<strong>无后效性</strong>”。所以我们的解法是：</p>
<h4><strong>对于前面i个元素的任何一个递增子序列，如果这个子序列的最大元素比array[i+1]小，那么就可以将array[i+1]元素加在这个子序列后面，构成一个新的递增子序列。</strong></h4>
<p>详情请见代码，算法复杂度O(N^2)，代码中我有非常详细的解释，有什么不明白的，请留言。</p>
<pre><code>#include &lt;iostream&gt;
#include &lt;vector&gt;
using namespace std;  

int LIS (int *pArray, int len);
int getMinOfArray (int *pArray, int len);

int main()
{
    int a[] = {2, -1, 2, -3, 4, 3, 1, 2, -7, 3, 4, 5, 6, 7, 8, 9};
    int len = sizeof(a) / sizeof(int);
    vector&lt;int&gt; longestSubSequence;

    cout &lt;&lt; "最大递增序列的长度为" &lt;&lt; LIS(a, len) &lt;&lt; endl;
    system("pause");
} 

int LIS (int *pArray, int len)
{
    int *MaxV = new int[len + 1]();
    MaxV[1] = pArray[0];
    MaxV[0] = getMinOfArray(pArray, len) - 1;
    int *LIS = new int[len]();

    //初始化最大递增序列的信息
    for (int i = 0 ; i &lt; len; i++)
    {
        LIS[i] = 1;
    }

    int nMaxLis = 1;

    for (int i = 0; i &lt; len; i++)
    {
        int j;

        //下面代码的作用是递归，看有没有比最长递增序列的最大元素的最小值大，如果有的话，那么就可以直接加在后面了。然后最长递增序列的个数加1
        //比如，当i = 4, nMaxLis = 2，时，MaxV[2] = 2, a[i] = 4, 4 &gt; 2, 那么4可以加在2后面，递增序列的元素个数加1。找到之后，直接break.
        for (j = nMaxLis; j &gt;= 0; j--)
        {
            if (pArray[i] &gt; MaxV[j])
            {
                LIS[i] = j + 1;
                break;
            }
        }

        //如果i处的最大递增序列，比原来的nMax大的话，那么就更新啦。并且最长递增序列的最大元素的最小值更新为当前元素
        if (LIS[i] &gt; nMaxLis)
        {
            nMaxLis = LIS[i];
            MaxV[LIS[i]] = pArray[i];
        }

        //如果没有比原来的最大长度还长的话，那么就有可能需要更新本长度最大元素的最小值了。比如，nMaxLis = 3的时候，前面我们找到的序列是{1, 2, 4}或者{-1, 2, 4}
        //当 i = 5时，j = 2时跳出循环。Lis[5] = 3 &lt;= nMaxLis, 当时3比4小，所以nMaxLis = 3时最大元素的最小值由4更新为3.
        else if(MaxV[j] &lt; pArray[i] &amp;&amp; pArray[i] &lt; MaxV[j + 1])
        {
            MaxV[j + 1] = pArray[i];
        }
    }
    delete []MaxV;
    delete []LIS;
    return nMaxLis;
}

//获取数组元素的最小值
int getMinOfArray(int *pArray, int len)
{
    int result = pArray[0];

    for (int i = 0; i &lt; len; i++)
    {
        if (pArray[i] &lt; result)
        {
            result = pArray[i];
        }
    }
    return result;
}
</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 23:11:41 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e5%8a%a8%e6%80%81%e8%a7%84%e5%88%92/" title="动态规划">动态规划</a>, <a href="https://www.biecuoliao.com/tag/%e7%bc%96%e7%a8%8b%e4%b9%8b%e7%be%8e/" title="编程之美">编程之美</a>, <a href="https://www.biecuoliao.com/tag/%e6%95%b0%e7%bb%84%e6%9c%80%e9%95%bf%e9%80%92%e5%a2%9e%e5%ad%90%e5%ba%8f%e5%88%97/" title="数组最长递增子序列">数组最长递增子序列</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>编程之美5：求数组中最长递增子序列的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41ByQGM.html" rel="bookmark">求数组中最长递增子序列的长度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				个人信息:就读于燕大本科软件工程专业 目前大三; 本人博客:google搜索&quot;cqs_2012&quot;即可; 个人爱好:酷爱数据结构和算法,希望将来从事算法工作为人民作出自己的贡献; 编程语言:C++ ; 编程坏境:Windows 7 专业版 x64; 编程工具:vs2008; 制图工具:office 2010 powerpoint; 硬件信息:7G-3 笔记本; 真言 怒冲北京,为理想前行. 题目 解法 使用工具栈单枝遍历数组(思路源于工具栈可以双枝遍历二叉树的方法) 栈里存放的是数组的下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ej8rD3.html" rel="bookmark">&lbrack;算法&rsqb;求数组中最长递增子序列长度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				思路: 1.开辟数组L,L[i]记录的为a[0]~a[i]的最长递增子序列长度 2.开辟数组maxV,maxV[i]记录的为长度为i的各递增子序列的最后一个元素的最小值,譬如有子序列 1,2,4 1,2,5 则maxV[3] = 4 3.使用maxLen记录当前的最长递增子序列长度 4.转移方程: L[i+1] = max{1,L[j]+1] , a[i] &gt; maxV[j] &amp;&amp; j &lt;= maxLen int LIS(int* a, int n){ int* maxV =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzaBQd4.html" rel="bookmark">求数组中最长递增子序列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编程之美有一道关于数组中最长递增子序列,题目如下: 写一个时间复杂度尽可能低的程序,求一个一维数组(N个元素)中最长递增子序列的长度. 例如在序列1,-1,2,-3,4,-5,6,-7中,其最长的递增子序列的长度为4(如1,2,4,6),从该书给的例子我们可以知道的是其最长的递增子序列可以不连续的. 作者利用动态规划方法给了三种解法. 解法一: 根据无后效性的定义,各阶段按照一定的次序排列好之后,对于某个给定阶段的状态来说,它以前各阶段的状态无法直接影响它未来的决策,而只能间接地通过当前状态来影			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xxbLr0.html" rel="bookmark">编程之美---求数组中最长递增子序列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				写一个时间复杂度尽可能低的程序,求一个一维数组(N个元素)中最长递增子序列的长度. 解法一:用动态规划,找出以当前元素结尾的最大递增子序列长度.dp[i+1] = max{1, dp[i]+1} ,array[i+1]&gt;array[k] ,k&lt;=i; 复杂度为o(n*n + n). 解法二:另外开一个数组保存长度为i的递增子序列的长度最大的最后一个元素最小的值,然后当处理数组中第i个元素时,从当前最大子序列的长度开始递减,依次寻找直到arrary[i]大于当前最大子序列长度的末尾元素值,然后更			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bzwQV0.html" rel="bookmark">【难】求数组中最长递增子序列，时间复杂度O&lpar;nlogn&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目:&lt;编程之美&gt; P194 写一个时间复杂度尽可能低的程序,求一个数组(length个元素)中最长递增子序列的长度. 注意,本题认为最长递增子序列可以有相等的元素,如 (1,2,2,3,3,4,5,6). 时间复杂度为O(n^2)的程序思路很简单,参考书上的解法一.针对O(n^2)的解法进行改进,利用有序数组的二分查找,可以使得时间复杂度降低.本题的难点在于,建立一个长度为length+1的数组MinV,MinV[i]代表着长度为i的递增子序列最大元素的最小值.而且数组MinV是升序的,理解			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBzX8KM.html" rel="bookmark">2&period;16 求数组中最长递增子序列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目: 求一个一维数组(N个元素)中最长递增子序列的长度 DP题 代码如下: #include &lt;iostream&gt; using namespace std; const int MAXN = 100000; const int INF = 10000000; int minV[MAXN], lis[MAXN], Array[MAXN]; int n; //lis[i]表示从第i个元素开始的最长序列的长度 //minV[i]表示所有长度为i的序列中,最大的元素的最小值 //Array这个数组代			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0n7Zdj3.html" rel="bookmark">编程之美-数组中最长递增子序列（包括输出）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#include &lt;iostream&gt; #define N 8 using namespace std; int main(){ int a[N]={1,-1,2,-3,4,-5,6,-7}; int lis[N]; int result[N];//结果 for(int i=0;i&lt;N;i++) result[i]=0; for(int i=0;i&lt;N;i++) { lis[i]=1; for (int j=0;j&lt;i; j++) { if( a[i]&gt; a[j] &a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41BvJPM.html" rel="bookmark">编程之美2&period;17 数组循环移位</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述: 设计一个算法,把一个含有N元素的数组循环左移或者右移K位. 解决方法: 1. 暴力解法------O(KN) 2. 颠倒位置------O(N) 具体思路和代码: 1. 暴力解法------O(KN) 思路:循环K次,每次移动一位 代码: 1 //右移 2 void s1(int A[], int n, int k) 3 { 4 k = k % n; 5 for(int i = 0; i &lt; k; i++) 6 { 7 int t = A[n-1]; 8 for(int j = n-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0j2XnE0.html" rel="bookmark">求字符串中最大的递增子序列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据库环境:SQL SERVER 2005 如题,求字符串“abcbklmnodfghijkmer”中最大的递增子序列.这个字符串有点特别, 只由26个小写字母a-z组成. 大概思路如下: 1.将字符串转到一列存储,并生成行号 2.设置一个递增计数器列,默认为1,比较上下行的字符,如果在字典中的顺序是递增, 则计数器加1,否则,计数器置1 3.找出计数器最大的数及对应的行号,根据这2个数截取字符串 思路有了,下面直接贴代码 DECLARE @vtext VARCHAR(255) SET @vte			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MBElJ4.html" rel="bookmark" class="title">&lbrack;php&rsqb; phpStudy&plus;PhpStorm&plus;XDebug配置</a>
					<div>
						一.配置前说明: 1.phpStudy集成了XDebug扩展,所以不用单独下载XDebug. 2.打开XDebug扩展:其它选项菜单 &gt; PHP扩展 &gt; Xdebug 二.配置步骤: ph ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/BMzgwW0.html" rel="bookmark" class="title">IOS以无线方式安装企业内部应用（开发者）</a>
					<div>
						请先阅读:http://help.apple.com/deployment/ios/#/apda0e3426d7 操作系统:osx yosemite 10.10.5 (14F1509) xcode:V ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgLd2B0.html" rel="bookmark" class="title">处理器架构&mdash;&mdash;从RISC与CISC到x86、ARM、MIPS</a>
					<div>
						1.CISC(Complex Instruction SetComputer,复杂指令集计算机) 复杂指令集(CISC,Complex Instruction Set Computer)是一种微处理器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGGvXQM.html" rel="bookmark" class="title">EntityFramework初步学习</a>
					<div>
						刚开始接触EntityFramework (6.1.1),首先利用它对数据库进行简单的操作. 1.创建一个控制台应用程序,创建完成后添加EntityFramework程序集的引用,添加EntityFr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoGolPM.html" rel="bookmark" class="title">【css】导航栏li竖线&OpenCurlyDoubleQuote;&vert;&rdquo;的写法；</a>
					<div>
						导航栏li竖线“|”的写法: 1.li加boder-right(利用margin-right:-1px:隐去最右边的border): 2.直接在htm写|: 3.利用&lt;span&gt;|&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QAvq24.html" rel="bookmark" class="title">防火墙导致FTP传输文件为0</a>
					<div>
						在使用 ftpClient 传输文件到FTPserver时,在别的机器上可以正常使用,但是到自己的机器有就始终是0文件,发现是Mcafee 防火墙导致的,只要让防火墙放行即可. Mcafee防火墙的放 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p5DQ8M.html" rel="bookmark" class="title">&lpar;转&rpar; Quick Guide to Build a Recommendation Engine in Python</a>
					<div>
						本文转自:http://www.analyticsvidhya.com/blog/2016/06/quick-guide-build-recommendation-engine-python/ Int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YX9gyM.html" rel="bookmark" class="title">sqoop不支持varchar的分割</a>
					<div>
						Sqoop currently do not support splitting data on N(LONG)(VAR)CHAR column types. We're however suppor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWV1z4.html" rel="bookmark" class="title">如何占满一屏幕余下的部分</a>
					<div>
						&lt;!doctype html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWq9P4.html" rel="bookmark" class="title">伟大中国梦，幸福邮储梦</a>
					<div>
						尊敬的各位领导,同学们: 大家好! 我是来自XX邮政储蓄银行的XXX,我今天演讲的题目是&lt;伟大中国梦,幸福邮储梦&gt;. 每个人都有梦想,无论性别.年龄.种族,也不分地域.国界.同时,由人创造 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qayea3.html" rel="bookmark" class="title">WampServer 2&period;5 64位   WampServer是Apache&plus;PHP&plus;Mysql 集成环境</a>
					<div>
						WampServer 2.5 64位 - 工具软件 - 源码之家 2014年8月25日 - WampServer是Apache+PHP+Mysql 集成环境,拥有简单的图形和菜单安装和配置环境.支持2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3v5Zg60.html" rel="bookmark" class="title">linux stat &lpar;三个时间属性命令可用来列出文件的 atime、ctime 和 mtime。&rpar;</a>
					<div>
						[[email protected] ~]# stat test/test2   File: 'test/test2'    Size: 0               Blocks: 0       ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0le9YW3.html" rel="bookmark" class="title">剖析java&period;lang&period;OutOfMemoryError&colon; Java heap space产生原因及解决方法</a>
					<div>
						解释: JVM堆的设置是指java程序运行过程中JVM可以调配使用的内存空间的设置.JVM在启动的时候会自动设置Heapsize的值,其初始空间(即-Xms)是物理内存的1/64,最大空间(-Xmx) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzADpd4.html" rel="bookmark" class="title">N皇后回溯解法  leetcode N-Queens</a>
					<div>
						class Solution { public: vector&lt;vector&lt;string&gt; &gt; solveNQueens(int n) { vector&lt;vector& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aYeXg0.html" rel="bookmark" class="title">OSChina 娱乐弹弹弹&mdash;&mdash;自古英雄多好色&comma;人不风流枉少年</a>
					<div>
						哈哈,终于盼到了周四- @小编辑 好像最近都不是很尽责啊,都不报时了! 但是好多 OSCer 还是非常期待@小编辑 在北京源创会所提供的五星级服务,让我来告诉你,北京源创会你值得拥有,不容错过- 那里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pQxJwM.html" rel="bookmark" class="title">乱谈Qt事件循环嵌套</a>
					<div>
						本文旨在说明:QDialog::exec().QMenu::exec()等开启的局部事件循环,易用的背后,还有很多的陷阱... 引子 Qt 是事件驱动的,基本上,每一个Qt程序我们都会通过QCoreA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXv7dV3.html" rel="bookmark" class="title">在Vmware中安装CentOS7</a>
					<div>
						想要安装linux系统,在电脑上先装一个虚拟机,当然装双系统也是可以的.首先准备材料,3步:1.从CentOS的官网上下载CentOS7,DVD ISO版本,大概4G左右.名称:CentOS-7-x8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MER2XD0.html" rel="bookmark" class="title">为何被&OpenCurlyDoubleQuote;踢&rdquo;出游戏？一场诡异的手游停服背后&hellip;&hellip;</a>
					<div>
						无论角色扮演类端游还是卡牌类手游,不过是给&quot;烂大街&quot;的游戏模式换上了一张圣斗士的&quot;网红&quot;脸,却把只属于圣斗士的&quot;小宇宙&quot;给弄丢了. 文/张书 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41zroYM.html" rel="bookmark" class="title">HDU1286新朋友欧拉函数版</a>
					<div>
						找新朋友 Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others)Total Submis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OpR1Z4.html" rel="bookmark" class="title">PHPCMS调用form类编辑器editor函数动态上传图片附件</a>
					<div>
						http://w3note.com/web/49.html phpcms v9的系统类库有一个表单类,它封装了表单的一些组件,如编辑器.图片上传.时间选择器.模板选 择器等,更详细请参考form.cl ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
